apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: fun-with
  labels:
    app.kubernetes.io/name: external-ip
  name: external-ip
spec:
  replicas: 2
  selector:
    matchLabels:
      app.kubernetes.io/name: external-ip
  template:
    metadata:
      labels:
        app.kubernetes.io/name: external-ip
    spec:
      containers:
        - image: registry.gitlab.com/fun_with/fun-with-k8s/external-api:latest
          imagePullPolicy: Always
          name: external-ip
          ports:
            - containerPort: 8080
      imagePullSecrets:
        - name: regcred
